Subject: [Gen-art] Gen-ART review of draft-ietf-mpls-tp-ethernet-addressing-05

From: Richard Barnes <[email-masked]>
Date: Mon, 11 Feb 2013 18:45:48 -0500

I have been selected as the General Area Review Team (Gen-ART) reviewer for this draft (for background on Gen-ART, pleaseseehttp://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document: draft-ietf-mpls-tp-ethernet-addressing-05
Reviewer: Richard Barnes
Review Date: 2013-02-11
IETF LC End Date: 2013-02-18
IESG Telechat date: TBD

Summary:  Ready, with a couple of minor questions / clarifications.

Comment:

The document is mostly very clearly written.  (Thanks!)  It would have helped me understand if it could have been clarified up front that the mechanism in this document is intended for "pure Ethernet" MPLS-TP (without assumptions about layer 3+).  The current introduction says as much, but in a negative way, in terms of ARP or ND not being available.

I have some minor unease about the distinction that this document makes between point-to-point and multipoint links.  The document correctly notes that a point-to-point link might become multipoint without either end being aware.  I would have thought this would argue for using GAP in all cases, but instead the document carries on with addressing the point-to-point case separately.